/*********************************************************************************************************
*
* File                : main.cpp
* Hardware Environment: 
* Build Environment   : Keil MDK
* Version             : V4.74
* By                  : WaveShare
*
*                                  (c) Copyright 2005-2014, WaveShare
*                                       http://www.waveshare.net
*                                       http://www.waveshare.com
*                                          All Rights Reserved
*
*********************************************************************************************************/
#include "mbed.h"


/*
variable
*/

DigitalIn ECHO(A0);
DigitalOut TRIG(A1);

Timer pulse;

int main(void) 
{           
    while(1) 
    {
        TRIG = 0;
        wait_us(5);
        TRIG = 1;
        wait_us(10);
        TRIG = 0;
 
        float pulse_width;
        pulse.start();
        while(!ECHO);
        pulse.reset();
        while(ECHO);
        pulse_width = pulse.read_us();
        pulse.stop();
 
        pulse_width= pulse_width/58;
        printf(" %.1f",pulse_width);
        printf("cm\n");
        wait(1);
    }
}




